Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.gen
Class FlatLayerInfo

    java.lang.Object
      net.minecraft.world.gen.FlatLayerInfo

    public class FlatLayerInfo

extends Object

Constructor Summary
`FlatLayerInfo(int par1, int par2)`
`FlatLayerInfo(int par1, int par2, int par3)`

Method Summary
`int` | `getFillBlock()` Return the block type used on this set of layers.
`int` | `getFillBlockMeta()` Return the block metadata used on this set of layers.
`int` | `getLayerCount()` Return the amount of layers for this set of layers.
`int` | `getMinY()` Return the minimum Y coordinate for this layer, set during generation.
`void` | `setMinY(int par1)` Set the minimum Y coordinate for this layer.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlatLayerInfo

    public FlatLayerInfo(int par1,
                         int par2)

### FlatLayerInfo

    public FlatLayerInfo(int par1,
                         int par2,
                         int par3)

Method Detail

### getLayerCount

    public int getLayerCount()

  Return the amount of layers for this set of layers.

### getFillBlock

    public int getFillBlock()

  Return the block type used on this set of layers.

### getFillBlockMeta

    public int getFillBlockMeta()

  Return the block metadata used on this set of layers.

### getMinY

    public int getMinY()

  Return the minimum Y coordinate for this layer, set during generation.

### setMinY

    public void setMinY(int par1)

  Set the minimum Y coordinate for this layer.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD